#
# spec file for package rsync (Version 2.6.2)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  tetex
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm te_ams te_latex tetex

Name:         rsync
License:      GPL
Group:        Productivity/Networking/Other
Provides:     rsync 
Autoreqprov:  on
Version:      2.6.2
Release:      20
Summary:      Replacement for rcp/mirror that has many more features
Source:       ftp://rsync.samba.org/pub/rsync/rsync-%{version}.tar.bz2
Patch:        rsync-%{version}.dif
Patch1:       rsync-crash-fix
Patch2:       rsync-fix-backup-dir

%description
rsync uses the "rsync algorithm" which provides a very fast method for
bringing remote files into sync. It does this by sending just the
differences in the files across the link, without requiring that both
sets of files are present at one of the ends of the link beforehand.
At first glance, this may seem impossible because the calculation of
diffs between two files normally requires local access to both
files.

A technical report describing the rsync algorithm is included with
this package.

Authors:
--------
    Andrew.Tridgell@anu.edu.au
    paulus@cs.anu.edu.au

%prep
%setup 
%patch
%patch1
%patch2

%build
CFLAGS=$RPM_OPT_FLAGS LDFLAGS=-s ./configure --prefix=/usr \
	--infodir=/usr/share/info --mandir=%{_mandir} \
	--with-rsh=rsh
make
latex tech_report
latex tech_report
dvips tech_report -o tech_report.ps

%install
make install
rm -f /usr/sbin/rsyncd
ln -f /usr/bin/rsync /usr/sbin/rsyncd
install -m 755 -o root -g root rsyncstats /usr/bin
install -m 644 -o root -g root rsyncd.conf /etc/rsyncd.conf
install -m 600 -o root -g root rsyncd.secrets /etc/rsyncd.secrets
install -m 755 -o root -g root rsyncd.rc /etc/init.d/rsyncd
ln -sf ../../etc/init.d/rsyncd /usr/sbin/rcrsyncd

%post
%{fillup_and_insserv rsyncd}

%postun
%{insserv_cleanup}

%files
%config(noreplace) /etc/rsyncd.conf
%config(noreplace) /etc/rsyncd.secrets
%config /etc/init.d/rsyncd
/usr/sbin/rcrsyncd
/usr/bin/rsync
/usr/sbin/rsyncd
/usr/bin/rsyncstats
%doc %{_mandir}/man1/rsync.1.gz
%doc %{_mandir}/man5/rsyncd.conf.5.gz
%doc COPYING README tech_report.ps tech_report.tex

%changelog -n rsync
* Fri Jul 23 2004 - ro@suse.de
- fixing problems apparently introduced with the update to 2.6.2:
- fix from cvs to not abort trying to create already created
  backup directories (#42780)
- fix from cvs to avoid crash on large trees (#42933)
* Tue May 18 2004 - ro@suse.de
- prevent failure on startup:
  IPV6_V6ONLY might be undefined or unsupported
* Tue May 11 2004 - ro@suse.de
- update to 2.6.2 to fix all known security issues (#39672)
- remove integrated patches
* Thu Dec 04 2003 - okir@suse.de
- fix heap overflow (#33478)
* Wed Mar 06 2002 - okir@suse.de
- applied setgroups security fix
* Fri Feb 08 2002 - okir@suse.de
- applied zlib security fix
* Wed Feb 06 2002 - ro@suse.de
- make rsyncd a hardlink (#13041)
* Fri Feb 01 2002 - ro@suse.de
- added patch for segmentation fault
* Mon Jan 21 2002 - draht@suse.de
- corrected diff for log.c
* Mon Jan 21 2002 - ro@suse.de
- applied security patch for various signed/unsigned fixes
* Fri Dec 14 2001 - ro@suse.de
- removed START_RSYNCD
* Tue Aug 28 2001 - ro@suse.de
- on uninstall, call insserv to cleanup
* Tue Aug 28 2001 - ro@suse.de
- added rc-script and rc-config variable START_RSYNCD
  if someone wants to run rsyncd standalone (w/o inetd) (#9496)
* Mon Sep 25 2000 - ro@suse.de
- sorted
* Wed Sep 13 2000 - aj@suse.de
- Work with LFS; fix spec file to not print while building.
* Mon Sep 11 2000 - ro@suse.de
- update to 2.4.6
* Fri Aug 18 2000 - ro@suse.de
- update to 2.4.4
* Thu Jan 20 2000 - aj@suse.de
- rsync 2.3.2, install man pages -> /usr/share/man.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 13 1999 - fehr@suse.de
- update to 2.3.1
- added rsyncstats shell script
* Thu Dec 17 1998 - ro@suse.de
- update to 2.2.1
* Sat Nov 28 1998 - bs@suse.de
- added symlink /usr/sbin/rsyncd (to let it work with tcpd)
- added example configs
* Tue Nov 24 1998 - ro@suse.de
- update to 2.2.0
* Sat Sep 19 1998 - ro@suse.de
- defined _GNU_SOURCE where getopt_long is needed
* Mon Aug 24 1998 - ro@suse.de
- update to 2.1.0
  added manpage for rsyncd.conf
* Tue May 12 1998 - ro@suse.de
- update to 1.7.4
  generate tech_report.ps from tex-src
* Mon Nov 10 1997 - kfr@suse.de
- first version for S.u.S.E. (1.6.3)
